#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioEncoder = 379,
  AudioListener = 392,
  AudioNode = 406,
  AudioParam = 416,
  AudioParamMap = 427,
  AudioProcessingEvent = 441,
  AudioScheduledSourceNode = 462,
  AudioTrack = 487,
  AudioTrackList = 498,
  AudioWorklet = 513,
  AudioWorkletGlobalScope = 526,
  AudioWorkletNode = 550,
  AudioWorkletProcessor = 567,
  AuthenticatorAssertionResponse = 589,
  AuthenticatorAttestationResponse = 620,
  AuthenticatorResponse = 653,
  BarProp = 675,
  BaseAudioContext = 683,
  BatteryManager = 700,
  BeforeUnloadEvent = 715,
  BiquadFilterNode = 733,
  Blob = 750,
  BlobEvent = 755,
  BroadcastChannel = 765,
  BrowsingContext = 782,
  BrowsingContextGroup = 798,
  ByteLengthQueuingStrategy = 819,
  CDATASection = 845,
  CSPViolationReportBody = 858,
  CSS = 881,
  CSS2Properties = 885,
  CSSAnimation = 900,
  CSSConditionRule = 913,
  CSSContainerRule = 930,
  CSSCounterStyleRule = 947,
  CSSCustomPropertyRegisteredEvent = 967,
  CSSFontFaceRule = 1000,
  CSSFontFeatureValuesRule = 1016,
  CSSFontPaletteValuesRule = 1041,
  CSSGroupingRule = 1066,
  CSSImportRule = 1082,
  CSSKeyframeRule = 1096,
  CSSKeyframesRule = 1112,
  CSSLayerBlockRule = 1129,
  CSSLayerStatementRule = 1147,
  CSSMarginRule = 1169,
  CSSMediaRule = 1183,
  CSSMozDocumentRule = 1196,
  CSSNamespaceRule = 1215,
  CSSNestedDeclarations = 1232,
  CSSPageDescriptors = 1254,
  CSSPageRule = 1273,
  CSSPositionTryDescriptors = 1285,
  CSSPositionTryRule = 1311,
  CSSPropertyRule = 1330,
  CSSPseudoElement = 1346,
  CSSRule = 1363,
  CSSRuleList = 1371,
  CSSScopeRule = 1383,
  CSSStartingStyleRule = 1396,
  CSSStyleDeclaration = 1417,
  CSSStyleRule = 1437,
  CSSStyleSheet = 1450,
  CSSSupportsRule = 1464,
  CSSTransition = 1480,
  Cache = 1494,
  CacheStorage = 1500,
  CallbackDebuggerNotification = 1513,
  CanonicalBrowsingContext = 1542,
  CanvasCaptureMediaStream = 1567,
  CanvasGradient = 1592,
  CanvasPattern = 1607,
  CanvasRenderingContext2D = 1621,
  CaretPosition = 1646,
  CaretStateChangedEvent = 1660,
  ChannelMergerNode = 1683,
  ChannelSplitterNode = 1701,
  ChannelWrapper = 1721,
  CharacterData = 1736,
  CheckerboardReportService = 1750,
  ChildProcessMessageManager = 1776,
  ChildSHistory = 1803,
  ChromeMessageBroadcaster = 1817,
  ChromeMessageSender = 1842,
  ChromeNodeList = 1862,
  ChromeUtils = 1877,
  ChromeWorker = 1889,
  Client = 1902,
  Clients = 1909,
  Clipboard = 1917,
  ClipboardEvent = 1927,
  ClipboardItem = 1942,
  ClonedErrorHolder = 1956,
  CloseEvent = 1974,
  CloseWatcher = 1985,
  CommandEvent = 1998,
  Comment = 2011,
  CompositionEvent = 2019,
  CompressionStream = 2036,
  ConsoleInstance = 2054,
  ConstantSourceNode = 2070,
  ContentFrameMessageManager = 2089,
  ContentProcessMessageManager = 2116,
  ContentVisibilityAutoStateChangeEvent = 2145,
  ConvolverNode = 2183,
  CookieChangeEvent = 2197,
  CookieStore = 2215,
  CookieStoreManager = 2227,
  CountQueuingStrategy = 2246,
  CreateOfferRequest = 2267,
  Credential = 2286,
  CredentialsContainer = 2297,
  Crypto = 2318,
  CryptoKey = 2325,
  CustomElementRegistry = 2335,
  CustomEvent = 2357,
  CustomStateSet = 2369,
  DOMException = 2384,
  DOMImplementation = 2397,
  DOMLocalization = 2415,
  DOMMatrix = 2431,
  DOMMatrixReadOnly = 2441,
  DOMParser = 2459,
  DOMPoint = 2469,
  DOMPointReadOnly = 2478,
  DOMQuad = 2495,
  DOMRect = 2503,
  DOMRectList = 2511,
  DOMRectReadOnly = 2523,
  DOMStringList = 2539,
  DOMStringMap = 2553,
  DOMTokenList = 2566,
  DataTransfer = 2579,
  DataTransferItem = 2592,
  DataTransferItemList = 2609,
  DebuggerNotification = 2630,
  DebuggerNotificationObserver = 2651,
  DecompressionStream = 2680,
  DedicatedWorkerGlobalScope = 2700,
  DelayNode = 2727,
  DeprecationReportBody = 2737,
  DeviceAcceleration = 2759,
  DeviceLightEvent = 2778,
  DeviceMotionEvent = 2795,
  DeviceOrientationEvent = 2813,
  DeviceRotationRate = 2836,
  Directory = 2855,
  Document = 2865,
  DocumentFragment = 2874,
  DocumentL10n = 2891,
  DocumentTimeline = 2904,
  DocumentType = 2921,
  DominatorTree = 2934,
  DragEvent = 2948,
  DynamicsCompressorNode = 2958,
  EXT_blend_minmax = 2981,
  EXT_color_buffer_float = 2998,
  EXT_color_buffer_half_float = 3021,
  EXT_depth_clamp = 3049,
  EXT_disjoint_timer_query = 3065,
  EXT_float_blend = 3090,
  EXT_frag_depth = 3106,
  EXT_sRGB = 3121,
  EXT_shader_texture_lod = 3130,
  EXT_texture_compression_bptc = 3153,
  EXT_texture_compression_rgtc = 3182,
  EXT_texture_filter_anisotropic = 3211,
  EXT_texture_norm16 = 3242,
  Element = 3261,
  ElementInternals = 3269,
  EncodedAudioChunk = 3286,
  EncodedVideoChunk = 3304,
  ErrorEvent = 3322,
  Event = 3333,
  EventCallbackDebuggerNotification = 3339,
  EventCounts = 3373,
  EventSource = 3385,
  EventTarget = 3397,
  Exception = 3409,
  ExtendableCookieChangeEvent = 3419,
  ExtendableEvent = 3447,
  ExtendableMessageEvent = 3463,
  ExtensionAlarms = 3486,
  ExtensionBrowser = 3502,
  ExtensionBrowserSettings = 3519,
  ExtensionBrowserSettingsColorManagement = 3544,
  ExtensionDns = 3584,
  ExtensionEventManager = 3597,
  ExtensionMockAPI = 3619,
  ExtensionPort = 3636,
  ExtensionProxy = 3650,
  ExtensionRuntime = 3665,
  ExtensionScripting = 3682,
  ExtensionSetting = 3701,
  ExtensionTest = 3718,
  External = 3732,
  FeaturePolicy = 3741,
  FeaturePolicyViolationReportBody = 3755,
  FetchEvent = 3788,
  FetchObserver = 3799,
  File = 3813,
  FileList = 3818,
  FileReader = 3827,
  FileReaderSync = 3838,
  FileSystem = 3853,
  FileSystemDirectoryEntry = 3864,
  FileSystemDirectoryHandle = 3889,
  FileSystemDirectoryHandle_AsyncIterator = 3915,
  FileSystemDirectoryIterator = 3955,
  FileSystemDirectoryReader = 3983,
  FileSystemEntry = 4009,
  FileSystemFileEntry = 4025,
  FileSystemFileHandle = 4045,
  FileSystemHandle = 4066,
  FileSystemSyncAccessHandle = 4083,
  FileSystemWritableFileStream = 4110,
  Flex = 4139,
  FlexItemValues = 4144,
  FlexLineValues = 4159,
  FluentBundle = 4174,
  FluentBundleAsyncIterator = 4187,
  FluentBundleIterator = 4213,
  FluentPattern = 4234,
  FluentResource = 4248,
  FocusEvent = 4263,
  FontFace = 4274,
  FontFaceSet = 4283,
  FontFaceSetIterator = 4295,
  FontFaceSetLoadEvent = 4315,
  FormData = 4336,
  FormData_Iterator = 4345,
  FormDataEvent = 4363,
  FragmentDirective = 4377,
  FrameCrashedEvent = 4395,
  FrameLoader = 4413,
  GPU = 4425,
  GPUAdapter = 4429,
  GPUAdapterInfo = 4440,
  GPUBindGroup = 4455,
  GPUBindGroupLayout = 4468,
  GPUBuffer = 4487,
  GPUBufferUsage = 4497,
  GPUCanvasContext = 4512,
  GPUColorWrite = 4529,
  GPUCommandBuffer = 4543,
  GPUCommandEncoder = 4560,
  GPUCompilationInfo = 4578,
  GPUCompilationMessage = 4597,
  GPUComputePassEncoder = 4619,
  GPUComputePipeline = 4641,
  GPUDevice = 4660,
  GPUDeviceLostInfo = 4670,
  GPUError = 4688,
  GPUExternalTexture = 4697,
  GPUInternalError = 4716,
  GPUMapMode = 4733,
  GPUOutOfMemoryError = 4744,
  GPUPipelineError = 4764,
  GPUPipelineLayout = 4781,
  GPUQuerySet = 4799,
  GPUQueue = 4811,
  GPURenderBundle = 4820,
  GPURenderBundleEncoder = 4836,
  GPURenderPassEncoder = 4859,
  GPURenderPipeline = 4880,
  GPUSampler = 4898,
  GPUShaderModule = 4909,
  GPUShaderStage = 4925,
  GPUSupportedFeatures = 4940,
  GPUSupportedLimits = 4961,
  GPUTexture = 4980,
  GPUTextureUsage = 4991,
  GPUTextureView = 5007,
  GPUUncapturedErrorEvent = 5022,
  GPUValidationError = 5046,
  GainNode = 5065,
  Gamepad = 5074,
  GamepadAxisMoveEvent = 5082,
  GamepadButton = 5103,
  GamepadButtonEvent = 5117,
  GamepadEvent = 5136,
  GamepadHapticActuator = 5149,
  GamepadLightIndicator = 5171,
  GamepadPose = 5193,
  GamepadServiceTest = 5205,
  GamepadTouch = 5224,
  Geolocation = 5237,
  GeolocationCoordinates = 5249,
  GeolocationPosition = 5272,
  GeolocationPositionError = 5292,
  GetUserMediaRequest = 5317,
  GleanBoolean = 5337,
  GleanCategory = 5350,
  GleanCounter = 5364,
  GleanCustomDistribution = 5377,
  GleanDatetime = 5401,
  GleanDenominator = 5415,
  GleanEvent = 5432,
  GleanImpl = 5443,
  GleanLabeled = 5453,
  GleanMemoryDistribution = 5466,
  GleanMetric = 5490,
  GleanNumerator = 5502,
  GleanObject = 5517,
  GleanPingsImpl = 5529,
  GleanQuantity = 5544,
  GleanRate = 5558,
  GleanString = 5568,
  GleanStringList = 5580,
  GleanText = 5596,
  GleanTimespan = 5606,
  GleanTimingDistribution = 5620,
  GleanUrl = 5644,
  GleanUuid = 5653,
  Grid = 5663,
  GridArea = 5668,
  GridDimension = 5677,
  GridLine = 5691,
  GridLines = 5700,
  GridTrack = 5710,
  GridTracks = 5720,
  HTMLAllCollection = 5731,
  HTMLAnchorElement = 5749,
  HTMLAreaElement = 5767,
  HTMLAudioElement = 5783,
  HTMLBRElement = 5800,
  HTMLBaseElement = 5814,
  HTMLBodyElement = 5830,
  HTMLButtonElement = 5846,
  HTMLCanvasElement = 5864,
  HTMLCollection = 5882,
  HTMLDListElement = 5897,
  HTMLDataElement = 5914,
  HTMLDataListElement = 5930,
  HTMLDetailsElement = 5950,
  HTMLDialogElement = 5969,
  HTMLDirectoryElement = 5987,
  HTMLDivElement = 6008,
  HTMLDocument = 6023,
  HTMLElement = 6036,
  HTMLEmbedElement = 6048,
  HTMLFieldSetElement = 6065,
  HTMLFontElement = 6085,
  HTMLFormControlsCollection = 6101,
  HTMLFormElement = 6128,
  HTMLFrameElement = 6144,
  HTMLFrameSetElement = 6161,
  HTMLHRElement = 6181,
  HTMLHeadElement = 6195,
  HTMLHeadingElement = 6211,
  HTMLHtmlElement = 6230,
  HTMLIFrameElement = 6246,
  HTMLImageElement = 6264,
  HTMLInputElement = 6281,
  HTMLLIElement = 6298,
  HTMLLabelElement = 6312,
  HTMLLegendElement = 6329,
  HTMLLinkElement = 6347,
  HTMLMapElement = 6363,
  HTMLMarqueeElement = 6378,
  HTMLMediaElement = 6397,
  HTMLMenuElement = 6414,
  HTMLMetaElement = 6430,
  HTMLMeterElement = 6446,
  HTMLModElement = 6463,
  HTMLOListElement = 6478,
  HTMLObjectElement = 6495,
  HTMLOptGroupElement = 6513,
  HTMLOptionElement = 6533,
  HTMLOptionsCollection = 6551,
  HTMLOutputElement = 6573,
  HTMLParagraphElement = 6591,
  HTMLParamElement = 6612,
  HTMLPictureElement = 6629,
  HTMLPreElement = 6648,
  HTMLProgressElement = 6663,
  HTMLQuoteElement = 6683,
  HTMLScriptElement = 6700,
  HTMLSelectElement = 6718,
  HTMLSlotElement = 6736,
  HTMLSourceElement = 6752,
  HTMLSpanElement = 6770,
  HTMLStyleElement = 6786,
  HTMLTableCaptionElement = 6803,
  HTMLTableCellElement = 6827,
  HTMLTableColElement = 6848,
  HTMLTableElement = 6868,
  HTMLTableRowElement = 6885,
  HTMLTableSectionElement = 6905,
  HTMLTemplateElement = 6929,
  HTMLTextAreaElement = 6949,
  HTMLTimeElement = 6969,
  HTMLTitleElement = 6985,
  HTMLTrackElement = 7002,
  HTMLUListElement = 7019,
  HTMLUnknownElement = 7036,
  HTMLVideoElement = 7055,
  HashChangeEvent = 7072,
  Headers = 7088,
  Headers_Iterator = 7096,
  HeapSnapshot = 7113,
  Highlight = 7126,
  HighlightRegistry = 7136,
  History = 7154,
  IDBCursor = 7162,
  IDBCursorWithValue = 7172,
  IDBDatabase = 7191,
  IDBFactory = 7203,
  IDBIndex = 7214,
  IDBKeyRange = 7223,
  IDBObjectStore = 7235,
  IDBOpenDBRequest = 7250,
  IDBRequest = 7267,
  IDBTransaction = 7278,
  IDBVersionChangeEvent = 7293,
  IIRFilterNode = 7315,
  IOUtils = 7329,
  IdentityCredential = 7337,
  IdleDeadline = 7356,
  Image = 7369,
  ImageBitmap = 7375,
  ImageBitmapRenderingContext = 7387,
  ImageCapture = 7415,
  ImageCaptureError = 7428,
  ImageCaptureErrorEvent = 7446,
  ImageData = 7469,
  ImageDecoder = 7479,
  ImageDocument = 7492,
  ImageTrack = 7506,
  ImageTrackList = 7517,
  InputEvent = 7532,
  InspectorCSSParser = 7543,
  InspectorFontFace = 7562,
  InspectorUtils = 7580,
  InstallTriggerImpl = 7595,
  IntersectionObserver = 7614,
  IntersectionObserverEntry = 7635,
  IntlUtils = 7661,
  InvokeEvent = 7671,
  JSProcessActorChild = 7683,
  JSProcessActorParent = 7703,
  JSWindowActorChild = 7724,
  JSWindowActorParent = 7743,
  KeyEvent = 7763,
  KeyboardEvent = 7772,
  KeyframeEffect = 7786,
  L10nFileSource = 7801,
  L10nOverlays = 7816,
  L10nRegistry = 7829,
  LargestContentfulPaint = 7842,
  LegacyMozTCPSocket = 7865,
  Localization = 7884,
  Location = 7897,
  Lock = 7906,
  LockManager = 7911,
  MIDIAccess = 7923,
  MIDIConnectionEvent = 7934,
  MIDIInput = 7954,
  MIDIInputMap = 7964,
  MIDIMessageEvent = 7977,
  MIDIOutput = 7994,
  MIDIOutputMap = 8005,
  MIDIPort = 8019,
  MLS = 8028,
  MLSGroupView = 8032,
  MOZ_debug = 8045,
  MatchGlob = 8055,
  MatchPattern = 8065,
  MatchPatternSet = 8078,
  MathMLElement = 8094,
  MediaCapabilities = 8108,
  MediaControlService = 8126,
  MediaController = 8146,
  MediaDeviceInfo = 8162,
  MediaDevices = 8178,
  MediaElementAudioSourceNode = 8191,
  MediaEncryptedEvent = 8219,
  MediaError = 8239,
  MediaKeyError = 8250,
  MediaKeyMessageEvent = 8264,
  MediaKeySession = 8285,
  MediaKeyStatusMap = 8301,
  MediaKeyStatusMap_Iterator = 8319,
  MediaKeySystemAccess = 8346,
  MediaKeys = 8367,
  MediaList = 8377,
  MediaMetadata = 8387,
  MediaQueryList = 8401,
  MediaQueryListEvent = 8416,
  MediaRecorder = 8436,
  MediaRecorderErrorEvent = 8450,
  MediaSession = 8474,
  MediaSource = 8487,
  MediaStream = 8499,
  MediaStreamAudioDestinationNode = 8511,
  MediaStreamAudioSourceNode = 8543,
  MediaStreamError = 8570,
  MediaStreamEvent = 8587,
  MediaStreamTrack = 8604,
  MediaStreamTrackAudioSourceNode = 8621,
  MediaStreamTrackEvent = 8653,
  MerchantValidationEvent = 8675,
  MessageBroadcaster = 8699,
  MessageChannel = 8718,
  MessageEvent = 8733,
  MessageListenerManager = 8746,
  MessagePort = 8769,
  MessageSender = 8781,
  MimeType = 8795,
  MimeTypeArray = 8804,
  MouseEvent = 8818,
  MouseScrollEvent = 8829,
  MozCanvasPrintState = 8846,
  MozDocumentMatcher = 8866,
  MozDocumentObserver = 8885,
  MozQueryInterface = 8905,
  MozSharedMap = 8923,
  MozSharedMap_Iterator = 8936,
  MozSharedMapChangeEvent = 8958,
  MozStorageAsyncStatementParams = 8982,
  MozStorageStatementParams = 9013,
  MozStorageStatementRow = 9039,
  MozWritableSharedMap = 9062,
  MutationEvent = 9083,
  MutationObserver = 9097,
  MutationRecord = 9114,
  NamedNodeMap = 9129,
  NavigateEvent = 9142,
  Navigation = 9156,
  NavigationActivation = 9167,
  NavigationCurrentEntryChangeEvent = 9188,
  NavigationDestination = 9222,
  NavigationHistoryEntry = 9244,
  NavigationPreloadManager = 9267,
  NavigationTransition = 9292,
  Navigator = 9313,
  NavigatorLogin = 9323,
  NetworkInformation = 9338,
  Node = 9357,
  NodeFilter = 9362,
  NodeIterator = 9373,
  NodeList = 9386,
  Notification = 9395,
  NotificationEvent = 9408,
  NotifyPaintEvent = 9426,
  OES_draw_buffers_indexed = 9443,
  OES_element_index_uint = 9468,
  OES_fbo_render_mipmap = 9491,
  OES_standard_derivatives = 9513,
  OES_texture_float = 9538,
  OES_texture_float_linear = 9556,
  OES_texture_half_float = 9581,
  OES_texture_half_float_linear = 9604,
  OES_vertex_array_object = 9634,
  OVR_multiview2 = 9658,
  OfflineAudioCompletionEvent = 9673,
  OfflineAudioContext = 9701,
  OffscreenCanvas = 9721,
  OffscreenCanvasRenderingContext2D = 9737,
  OnlyForUseInConstructor = 9771,
  Option = 9795,
  OscillatorNode = 9802,
  PageTransitionEvent = 9817,
  PaintRequest = 9837,
  PaintRequestList = 9850,
  PaintWorkletGlobalScope = 9867,
  PannerNode = 9891,
  ParentProcessMessageManager = 9902,
  Path2D = 9930,
  PathUtils = 9937,
  PaymentAddress = 9947,
  PaymentMethodChangeEvent = 9962,
  PaymentRequest = 9987,
  PaymentRequestUpdateEvent = 10002,
  PaymentResponse = 10028,
  PeerConnectionImpl = 10044,
  PeerConnectionObserver = 10063,
  Performance = 10086,
  PerformanceEntry = 10098,
  PerformanceEntryEvent = 10115,
  PerformanceEventTiming = 10137,
  PerformanceMark = 10160,
  PerformanceMeasure = 10176,
  PerformanceNavigation = 10195,
  PerformanceNavigationTiming = 10217,
  PerformanceObserver = 10245,
  PerformanceObserverEntryList = 10265,
  PerformancePaintTiming = 10294,
  PerformanceResourceTiming = 10317,
  PerformanceServerTiming = 10343,
  PerformanceTiming = 10367,
  PeriodicWave = 10385,
  PermissionStatus = 10398,
  Permissions = 10415,
  PlacesBookmark = 10427,
  PlacesBookmarkAddition = 10442,
  PlacesBookmarkChanged = 10465,
  PlacesBookmarkGuid = 10487,
  PlacesBookmarkKeyword = 10506,
  PlacesBookmarkMoved = 10528,
  PlacesBookmarkRemoved = 10548,
  PlacesBookmarkTags = 10570,
  PlacesBookmarkTime = 10589,
  PlacesBookmarkTitle = 10608,
  PlacesBookmarkUrl = 10628,
  PlacesEvent = 10646,
  PlacesEventCounts = 10658,
  PlacesFavicon = 10676,
  PlacesHistoryCleared = 10690,
  PlacesObservers = 10711,
  PlacesPurgeCaches = 10727,
  PlacesRanking = 10745,
  PlacesVisit = 10759,
  PlacesVisitRemoved = 10771,
  PlacesVisitTitle = 10790,
  PlacesWeakCallbackWrapper = 10807,
  Plugin = 10833,
  PluginArray = 10840,
  PluginCrashedEvent = 10852,
  PointerEvent = 10871,
  PopStateEvent = 10884,
  PopupBlockedEvent = 10898,
  PopupPositionedEvent = 10916,
  PositionStateEvent = 10937,
  PrecompiledScript = 10956,
  PrivateAttribution = 10974,
  ProcessMessageManager = 10993,
  ProcessingInstruction = 11015,
  ProgressEvent = 11037,
  PromiseDebugging = 11051,
  PromiseNativeHandler = 11068,
  PromiseRejectionEvent = 11089,
  PublicKeyCredential = 11111,
  PushEvent = 11131,
  PushManager = 11141,
  PushManagerImpl = 11153,
  PushMessageData = 11169,
  PushSubscription = 11185,
  PushSubscriptionChangeEvent = 11202,
  PushSubscriptionOptions = 11230,
  RTCCertificate = 11254,
  RTCDTMFSender = 11269,
  RTCDTMFToneChangeEvent = 11283,
  RTCDataChannel = 11306,
  RTCDataChannelEvent = 11321,
  RTCDtlsTransport = 11341,
  RTCEncodedAudioFrame = 11358,
  RTCEncodedVideoFrame = 11379,
  RTCIceCandidate = 11400,
  RTCIceTransport = 11416,
  RTCIdentityProviderRegistrar = 11432,
  RTCPeerConnection = 11461,
  RTCPeerConnectionIceEvent = 11479,
  RTCPeerConnectionStatic = 11505,
  RTCRtpReceiver = 11529,
  RTCRtpScriptTransform = 11544,
  RTCRtpScriptTransformer = 11566,
  RTCRtpSender = 11590,
  RTCRtpTransceiver = 11603,
  RTCSctpTransport = 11621,
  RTCSessionDescription = 11638,
  RTCStatsReport = 11660,
  RTCTrackEvent = 11675,
  RTCTransformEvent = 11689,
  RadioNodeList = 11707,
  Range = 11721,
  ReadableByteStreamController = 11727,
  ReadableStream = 11756,
  ReadableStream_AsyncIterator = 11771,
  ReadableStreamBYOBReader = 11800,
  ReadableStreamBYOBRequest = 11825,
  ReadableStreamDefaultController = 11851,
  ReadableStreamDefaultReader = 11883,
  Report = 11911,
  ReportBody = 11918,
  ReportingObserver = 11929,
  Request = 11947,
  ResizeObserver = 11955,
  ResizeObserverEntry = 11970,
  ResizeObserverSize = 11990,
  Response = 12009,
  SVGAElement = 12018,
  SVGAngle = 12030,
  SVGAnimateElement = 12039,
  SVGAnimateMotionElement = 12057,
  SVGAnimateTransformElement = 12081,
  SVGAnimatedAngle = 12108,
  SVGAnimatedBoolean = 12125,
  SVGAnimatedEnumeration = 12144,
  SVGAnimatedInteger = 12167,
  SVGAnimatedLength = 12186,
  SVGAnimatedLengthList = 12204,
  SVGAnimatedNumber = 12226,
  SVGAnimatedNumberList = 12244,
  SVGAnimatedPreserveAspectRatio = 12266,
  SVGAnimatedRect = 12297,
  SVGAnimatedString = 12313,
  SVGAnimatedTransformList = 12331,
  SVGAnimationElement = 12356,
  SVGCircleElement = 12376,
  SVGClipPathElement = 12393,
  SVGComponentTransferFunctionElement = 12412,
  SVGDefsElement = 12448,
  SVGDescElement = 12463,
  SVGElement = 12478,
  SVGEllipseElement = 12489,
  SVGFEBlendElement = 12507,
  SVGFEColorMatrixElement = 12525,
  SVGFEComponentTransferElement = 12549,
  SVGFECompositeElement = 12579,
  SVGFEConvolveMatrixElement = 12601,
  SVGFEDiffuseLightingElement = 12628,
  SVGFEDisplacementMapElement = 12656,
  SVGFEDistantLightElement = 12684,
  SVGFEDropShadowElement = 12709,
  SVGFEFloodElement = 12732,
  SVGFEFuncAElement = 12750,
  SVGFEFuncBElement = 12768,
  SVGFEFuncGElement = 12786,
  SVGFEFuncRElement = 12804,
  SVGFEGaussianBlurElement = 12822,
  SVGFEImageElement = 12847,
  SVGFEMergeElement = 12865,
  SVGFEMergeNodeElement = 12883,
  SVGFEMorphologyElement = 12905,
  SVGFEOffsetElement = 12928,
  SVGFEPointLightElement = 12947,
  SVGFESpecularLightingElement = 12970,
  SVGFESpotLightElement = 12999,
  SVGFETileElement = 13021,
  SVGFETurbulenceElement = 13038,
  SVGFilterElement = 13061,
  SVGForeignObjectElement = 13078,
  SVGGElement = 13102,
  SVGGeometryElement = 13114,
  SVGGradientElement = 13133,
  SVGGraphicsElement = 13152,
  SVGImageElement = 13171,
  SVGLength = 13187,
  SVGLengthList = 13197,
  SVGLineElement = 13211,
  SVGLinearGradientElement = 13226,
  SVGMPathElement = 13251,
  SVGMarkerElement = 13267,
  SVGMaskElement = 13284,
  SVGMatrix = 13299,
  SVGMetadataElement = 13309,
  SVGNumber = 13328,
  SVGNumberList = 13338,
  SVGPathElement = 13352,
  SVGPathSegment = 13367,
  SVGPatternElement = 13382,
  SVGPoint = 13400,
  SVGPointList = 13409,
  SVGPolygonElement = 13422,
  SVGPolylineElement = 13440,
  SVGPreserveAspectRatio = 13459,
  SVGRadialGradientElement = 13482,
  SVGRect = 13507,
  SVGRectElement = 13515,
  SVGSVGElement = 13530,
  SVGScriptElement = 13544,
  SVGSetElement = 13561,
  SVGStopElement = 13575,
  SVGStringList = 13590,
  SVGStyleElement = 13604,
  SVGSwitchElement = 13620,
  SVGSymbolElement = 13637,
  SVGTSpanElement = 13654,
  SVGTextContentElement = 13670,
  SVGTextElement = 13692,
  SVGTextPathElement = 13707,
  SVGTextPositioningElement = 13726,
  SVGTitleElement = 13752,
  SVGTransform = 13768,
  SVGTransformList = 13781,
  SVGUnitTypes = 13798,
  SVGUseElement = 13811,
  SVGViewElement = 13825,
  Sanitizer = 13840,
  Scheduler = 13850,
  Screen = 13860,
  ScreenLuminance = 13867,
  ScreenOrientation = 13883,
  ScriptProcessorNode = 13901,
  ScrollAreaEvent = 13921,
  SecurityPolicyViolationEvent = 13937,
  Selection = 13966,
  ServiceWorker = 13976,
  ServiceWorkerContainer = 13990,
  ServiceWorkerGlobalScope = 14013,
  ServiceWorkerRegistration = 14038,
  SessionStoreFormData = 14064,
  SessionStoreScrollData = 14085,
  SessionStoreUtils = 14108,
  ShadowRealmGlobalScope = 14126,
  ShadowRoot = 14149,
  SharedWorker = 14160,
  SharedWorkerGlobalScope = 14173,
  SimpleGestureEvent = 14197,
  SourceBuffer = 14216,
  SourceBufferList = 14229,
  SpeechGrammar = 14246,
  SpeechGrammarList = 14260,
  SpeechRecognition = 14278,
  SpeechRecognitionAlternative = 14296,
  SpeechRecognitionError = 14325,
  SpeechRecognitionEvent = 14348,
  SpeechRecognitionResult = 14371,
  SpeechRecognitionResultList = 14395,
  SpeechSynthesis = 14423,
  SpeechSynthesisErrorEvent = 14439,
  SpeechSynthesisEvent = 14465,
  SpeechSynthesisUtterance = 14486,
  SpeechSynthesisVoice = 14511,
  StaticRange = 14532,
  StereoPannerNode = 14544,
  Storage = 14561,
  StorageEvent = 14569,
  StorageManager = 14582,
  StreamFilter = 14597,
  StreamFilterDataEvent = 14610,
  StructuredCloneHolder = 14632,
  StructuredCloneTester = 14654,
  StyleSheet = 14676,
  StyleSheetApplicableStateChangeEvent = 14687,
  StyleSheetList = 14724,
  StyleSheetRemovedEvent = 14739,
  SubmitEvent = 14762,
  SubtleCrypto = 14774,
  SyncMessageSender = 14787,
  SyncReadFile = 14805,
  TCPServerSocket = 14818,
  TCPServerSocketEvent = 14834,
  TCPSocket = 14855,
  TCPSocketErrorEvent = 14865,
  TCPSocketEvent = 14885,
  TaskController = 14900,
  TaskPriorityChangeEvent = 14915,
  TaskSignal = 14939,
  TestAttributesOnTypes = 14950,
  TestCEReactionsInterface = 14972,
  TestCImplementedInterface = 14997,
  TestCImplementedInterface2 = 15023,
  TestCallbackDictUnionOverload = 15050,
  TestChildInterface = 15080,
  TestConstructorForFuncInterface = 15099,
  TestConstructorForPrefInterface = 15131,
  TestConstructorForSCInterface = 15163,
  TestCppKeywordNamedMethodsInterface = 15193,
  TestDeprecatedInterface = 15229,
  TestExampleInterface = 15253,
  TestExampleProxyInterface = 15274,
  TestExampleThrowingConstructorInterface = 15300,
  TestExampleWorkerInterface = 15340,
  TestFuncConstructorForDifferentFuncInterface = 15367,
  TestFuncConstructorForInterface = 15412,
  TestHTMLConstructorInterface = 15444,
  TestIndexedAndNamedGetterAndSetterInterface = 15473,
  TestIndexedAndNamedGetterInterface = 15517,
  TestIndexedAndNamedSetterInterface = 15552,
  TestIndexedGetterAndSetterAndNamedGetterInterface = 15587,
  TestIndexedGetterInterface = 15637,
  TestIndexedSetterInterface = 15664,
  TestInterface = 15691,
  TestInterfaceWithPromiseConstructorArg = 15705,
  TestJSImplInterface = 15744,
  TestJSImplInterface2 = 15764,
  TestJSImplInterface3 = 15785,
  TestJSImplInterface4 = 15806,
  TestJSImplInterface5 = 15827,
  TestJSImplInterface6 = 15848,
  TestJSImplNoInterfaceObject = 15869,
  TestLegacyFactoryFunctionInterface = 15897,
  TestLegacyFactoryFunctionInterface2 = 15932,
  TestNamedDeleterInterface = 15968,
  TestNamedDeleterWithRetvalInterface = 15994,
  TestNamedGetterInterface = 16030,
  TestNamedSetterInterface = 16055,
  TestNamespace = 16080,
  TestNonWrapperCacheInterface = 16094,
  TestParentInterface = 16123,
  TestPrefChromeOnlySCFuncConstructorForInterface = 16143,
  TestPrefConstructorForDifferentPrefInterface = 16191,
  TestPrefConstructorForInterface = 16236,
  TestProtoObjectHackedNamespace = 16268,
  TestRenamedInterface = 16299,
  TestRenamedNamespace = 16320,
  TestSCConstructorForInterface = 16341,
  TestSecureContextInterface = 16371,
  TestThrowingConstructorInterface = 16398,
  TestUtils = 16431,
  TestWorkerExposedInterface = 16441,
  TestingDeprecatedInterface = 16468,
  Text = 16495,
  TextClause = 16500,
  TextDecoder = 16511,
  TextDecoderStream = 16523,
  TextEncoder = 16541,
  TextEncoderStream = 16553,
  TextEvent = 16571,
  TextMetrics = 16581,
  TextTrack = 16593,
  TextTrackCue = 16603,
  TextTrackCueList = 16616,
  TextTrackList = 16633,
  TimeEvent = 16647,
  TimeRanges = 16657,
  ToggleEvent = 16668,
  Touch = 16680,
  TouchEvent = 16686,
  TouchList = 16697,
  TrackEvent = 16707,
  TransformStream = 16718,
  TransformStreamDefaultController = 16734,
  TransitionEvent = 16767,
  TreeColumn = 16783,
  TreeColumns = 16794,
  TreeContentView = 16806,
  TreeWalker = 16822,
  TrustedHTML = 16833,
  TrustedScript = 16845,
  TrustedScriptURL = 16859,
  TrustedTypePolicy = 16876,
  TrustedTypePolicyFactory = 16894,
  UDPMessageEvent = 16919,
  UDPSocket = 16935,
  UIEvent = 16945,
  URL = 16953,
  URLSearchParams = 16957,
  URLSearchParams_Iterator = 16973,
  UniFFIPointer = 16998,
  UniFFIScaffolding = 17012,
  UserActivation = 17030,
  UserInteraction = 17045,
  UserProximityEvent = 17061,
  VRDisplay = 17080,
  VRDisplayCapabilities = 17090,
  VRDisplayEvent = 17112,
  VREyeParameters = 17127,
  VRFieldOfView = 17143,
  VRFrameData = 17157,
  VRMockController = 17169,
  VRMockDisplay = 17186,
  VRPose = 17200,
  VRServiceTest = 17207,
  VRStageParameters = 17221,
  VTTCue = 17239,
  VTTRegion = 17246,
  ValidityState = 17256,
  VideoColorSpace = 17270,
  VideoDecoder = 17286,
  VideoEncoder = 17299,
  VideoFrame = 17312,
  VideoPlaybackQuality = 17323,
  VideoTrack = 17344,
  VideoTrackList = 17355,
  ViewTransition = 17370,
  VisualViewport = 17385,
  WEBGL_color_buffer_float = 17400,
  WEBGL_compressed_texture_astc = 17425,
  WEBGL_compressed_texture_etc = 17455,
  WEBGL_compressed_texture_etc1 = 17484,
  WEBGL_compressed_texture_pvrtc = 17514,
  WEBGL_compressed_texture_s3tc = 17545,
  WEBGL_compressed_texture_s3tc_srgb = 17575,
  WEBGL_debug_renderer_info = 17610,
  WEBGL_debug_shaders = 17636,
  WEBGL_depth_texture = 17656,
  WEBGL_draw_buffers = 17676,
  WEBGL_explicit_present = 17695,
  WEBGL_lose_context = 17718,
  WEBGL_provoking_vertex = 17737,
  WGSLLanguageFeatures = 17760,
  WakeLock = 17781,
  WakeLockSentinel = 17790,
  WaveShaperNode = 17807,
  WebExtensionContentScript = 17822,
  WebExtensionPolicy = 17848,
  WebGL2RenderingContext = 17867,
  WebGLActiveInfo = 17890,
  WebGLBuffer = 17906,
  WebGLContextEvent = 17918,
  WebGLFramebuffer = 17936,
  WebGLProgram = 17953,
  WebGLQuery = 17966,
  WebGLRenderbuffer = 17977,
  WebGLRenderingContext = 17995,
  WebGLSampler = 18017,
  WebGLShader = 18030,
  WebGLShaderPrecisionFormat = 18042,
  WebGLSync = 18069,
  WebGLTexture = 18079,
  WebGLTransformFeedback = 18092,
  WebGLUniformLocation = 18115,
  WebGLVertexArrayObject = 18136,
  WebKitCSSMatrix = 18159,
  WebSocket = 18175,
  WebTransport = 18185,
  WebTransportBidirectionalStream = 18198,
  WebTransportDatagramDuplexStream = 18230,
  WebTransportError = 18263,
  WebTransportReceiveStream = 18281,
  WebTransportSendStream = 18307,
  WebrtcGlobalInformation = 18330,
  WheelEvent = 18354,
  Window = 18365,
  WindowClient = 18372,
  WindowContext = 18385,
  WindowGlobalChild = 18399,
  WindowGlobalParent = 18417,
  WindowRoot = 18436,
  Worker = 18447,
  WorkerDebuggerGlobalScope = 18454,
  WorkerGlobalScope = 18480,
  WorkerLocation = 18498,
  WorkerNavigator = 18513,
  WorkerTestUtils = 18529,
  Worklet = 18545,
  WorkletGlobalScope = 18553,
  WritableStream = 18572,
  WritableStreamDefaultController = 18587,
  WritableStreamDefaultWriter = 18619,
  XMLDocument = 18647,
  XMLHttpRequest = 18659,
  XMLHttpRequestEventTarget = 18674,
  XMLHttpRequestUpload = 18700,
  XMLSerializer = 18721,
  XPathEvaluator = 18735,
  XPathExpression = 18750,
  XPathResult = 18766,
  XRBoundedReferenceSpace = 18778,
  XRFrame = 18802,
  XRInputSource = 18810,
  XRInputSourceArray = 18824,
  XRInputSourceEvent = 18843,
  XRInputSourcesChangeEvent = 18862,
  XRPose = 18888,
  XRReferenceSpace = 18895,
  XRReferenceSpaceEvent = 18912,
  XRRenderState = 18934,
  XRRigidTransform = 18948,
  XRSession = 18965,
  XRSessionEvent = 18975,
  XRSpace = 18990,
  XRSystem = 18998,
  XRView = 19007,
  XRViewerPose = 19014,
  XRViewport = 19027,
  XRWebGLLayer = 19038,
  XSLTProcessor = 19051,
  XULCommandEvent = 19065,
  XULElement = 19081,
  XULFrameElement = 19092,
  XULMenuElement = 19108,
  XULPopupElement = 19123,
  XULResizerElement = 19139,
  XULTextElement = 19157,
  XULTreeElement = 19172,
  console = 19187,
  webkitSpeechGrammar = 19195,
  webkitSpeechGrammarList = 19215,
  webkitSpeechRecognition = 19239,
  webkitURL = 19263,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
