#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSPViolationReportBody" "\0"
  /*   881 */ "CSS" "\0"
  /*   885 */ "CSS2Properties" "\0"
  /*   900 */ "CSSAnimation" "\0"
  /*   913 */ "CSSConditionRule" "\0"
  /*   930 */ "CSSContainerRule" "\0"
  /*   947 */ "CSSCounterStyleRule" "\0"
  /*   967 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*  1000 */ "CSSFontFaceRule" "\0"
  /*  1016 */ "CSSFontFeatureValuesRule" "\0"
  /*  1041 */ "CSSFontPaletteValuesRule" "\0"
  /*  1066 */ "CSSGroupingRule" "\0"
  /*  1082 */ "CSSImportRule" "\0"
  /*  1096 */ "CSSKeyframeRule" "\0"
  /*  1112 */ "CSSKeyframesRule" "\0"
  /*  1129 */ "CSSLayerBlockRule" "\0"
  /*  1147 */ "CSSLayerStatementRule" "\0"
  /*  1169 */ "CSSMarginRule" "\0"
  /*  1183 */ "CSSMediaRule" "\0"
  /*  1196 */ "CSSMozDocumentRule" "\0"
  /*  1215 */ "CSSNamespaceRule" "\0"
  /*  1232 */ "CSSNestedDeclarations" "\0"
  /*  1254 */ "CSSPageDescriptors" "\0"
  /*  1273 */ "CSSPageRule" "\0"
  /*  1285 */ "CSSPositionTryDescriptors" "\0"
  /*  1311 */ "CSSPositionTryRule" "\0"
  /*  1330 */ "CSSPropertyRule" "\0"
  /*  1346 */ "CSSPseudoElement" "\0"
  /*  1363 */ "CSSRule" "\0"
  /*  1371 */ "CSSRuleList" "\0"
  /*  1383 */ "CSSScopeRule" "\0"
  /*  1396 */ "CSSStartingStyleRule" "\0"
  /*  1417 */ "CSSStyleDeclaration" "\0"
  /*  1437 */ "CSSStyleRule" "\0"
  /*  1450 */ "CSSStyleSheet" "\0"
  /*  1464 */ "CSSSupportsRule" "\0"
  /*  1480 */ "CSSTransition" "\0"
  /*  1494 */ "Cache" "\0"
  /*  1500 */ "CacheStorage" "\0"
  /*  1513 */ "CallbackDebuggerNotification" "\0"
  /*  1542 */ "CanonicalBrowsingContext" "\0"
  /*  1567 */ "CanvasCaptureMediaStream" "\0"
  /*  1592 */ "CanvasGradient" "\0"
  /*  1607 */ "CanvasPattern" "\0"
  /*  1621 */ "CanvasRenderingContext2D" "\0"
  /*  1646 */ "CaretPosition" "\0"
  /*  1660 */ "CaretStateChangedEvent" "\0"
  /*  1683 */ "ChannelMergerNode" "\0"
  /*  1701 */ "ChannelSplitterNode" "\0"
  /*  1721 */ "ChannelWrapper" "\0"
  /*  1736 */ "CharacterData" "\0"
  /*  1750 */ "CheckerboardReportService" "\0"
  /*  1776 */ "ChildProcessMessageManager" "\0"
  /*  1803 */ "ChildSHistory" "\0"
  /*  1817 */ "ChromeMessageBroadcaster" "\0"
  /*  1842 */ "ChromeMessageSender" "\0"
  /*  1862 */ "ChromeNodeList" "\0"
  /*  1877 */ "ChromeUtils" "\0"
  /*  1889 */ "ChromeWorker" "\0"
  /*  1902 */ "Client" "\0"
  /*  1909 */ "Clients" "\0"
  /*  1917 */ "Clipboard" "\0"
  /*  1927 */ "ClipboardEvent" "\0"
  /*  1942 */ "ClipboardItem" "\0"
  /*  1956 */ "ClonedErrorHolder" "\0"
  /*  1974 */ "CloseEvent" "\0"
  /*  1985 */ "CloseWatcher" "\0"
  /*  1998 */ "CommandEvent" "\0"
  /*  2011 */ "Comment" "\0"
  /*  2019 */ "CompositionEvent" "\0"
  /*  2036 */ "CompressionStream" "\0"
  /*  2054 */ "ConsoleInstance" "\0"
  /*  2070 */ "ConstantSourceNode" "\0"
  /*  2089 */ "ContentFrameMessageManager" "\0"
  /*  2116 */ "ContentProcessMessageManager" "\0"
  /*  2145 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2183 */ "ConvolverNode" "\0"
  /*  2197 */ "CookieChangeEvent" "\0"
  /*  2215 */ "CookieStore" "\0"
  /*  2227 */ "CookieStoreManager" "\0"
  /*  2246 */ "CountQueuingStrategy" "\0"
  /*  2267 */ "CreateOfferRequest" "\0"
  /*  2286 */ "Credential" "\0"
  /*  2297 */ "CredentialsContainer" "\0"
  /*  2318 */ "Crypto" "\0"
  /*  2325 */ "CryptoKey" "\0"
  /*  2335 */ "CustomElementRegistry" "\0"
  /*  2357 */ "CustomEvent" "\0"
  /*  2369 */ "CustomStateSet" "\0"
  /*  2384 */ "DOMException" "\0"
  /*  2397 */ "DOMImplementation" "\0"
  /*  2415 */ "DOMLocalization" "\0"
  /*  2431 */ "DOMMatrix" "\0"
  /*  2441 */ "DOMMatrixReadOnly" "\0"
  /*  2459 */ "DOMParser" "\0"
  /*  2469 */ "DOMPoint" "\0"
  /*  2478 */ "DOMPointReadOnly" "\0"
  /*  2495 */ "DOMQuad" "\0"
  /*  2503 */ "DOMRect" "\0"
  /*  2511 */ "DOMRectList" "\0"
  /*  2523 */ "DOMRectReadOnly" "\0"
  /*  2539 */ "DOMStringList" "\0"
  /*  2553 */ "DOMStringMap" "\0"
  /*  2566 */ "DOMTokenList" "\0"
  /*  2579 */ "DataTransfer" "\0"
  /*  2592 */ "DataTransferItem" "\0"
  /*  2609 */ "DataTransferItemList" "\0"
  /*  2630 */ "DebuggerNotification" "\0"
  /*  2651 */ "DebuggerNotificationObserver" "\0"
  /*  2680 */ "DecompressionStream" "\0"
  /*  2700 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2727 */ "DelayNode" "\0"
  /*  2737 */ "DeprecationReportBody" "\0"
  /*  2759 */ "DeviceAcceleration" "\0"
  /*  2778 */ "DeviceLightEvent" "\0"
  /*  2795 */ "DeviceMotionEvent" "\0"
  /*  2813 */ "DeviceOrientationEvent" "\0"
  /*  2836 */ "DeviceRotationRate" "\0"
  /*  2855 */ "Directory" "\0"
  /*  2865 */ "Document" "\0"
  /*  2874 */ "DocumentFragment" "\0"
  /*  2891 */ "DocumentL10n" "\0"
  /*  2904 */ "DocumentTimeline" "\0"
  /*  2921 */ "DocumentType" "\0"
  /*  2934 */ "DominatorTree" "\0"
  /*  2948 */ "DragEvent" "\0"
  /*  2958 */ "DynamicsCompressorNode" "\0"
  /*  2981 */ "EXT_blend_minmax" "\0"
  /*  2998 */ "EXT_color_buffer_float" "\0"
  /*  3021 */ "EXT_color_buffer_half_float" "\0"
  /*  3049 */ "EXT_depth_clamp" "\0"
  /*  3065 */ "EXT_disjoint_timer_query" "\0"
  /*  3090 */ "EXT_float_blend" "\0"
  /*  3106 */ "EXT_frag_depth" "\0"
  /*  3121 */ "EXT_sRGB" "\0"
  /*  3130 */ "EXT_shader_texture_lod" "\0"
  /*  3153 */ "EXT_texture_compression_bptc" "\0"
  /*  3182 */ "EXT_texture_compression_rgtc" "\0"
  /*  3211 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3242 */ "EXT_texture_norm16" "\0"
  /*  3261 */ "Element" "\0"
  /*  3269 */ "ElementInternals" "\0"
  /*  3286 */ "EncodedAudioChunk" "\0"
  /*  3304 */ "EncodedVideoChunk" "\0"
  /*  3322 */ "ErrorEvent" "\0"
  /*  3333 */ "Event" "\0"
  /*  3339 */ "EventCallbackDebuggerNotification" "\0"
  /*  3373 */ "EventCounts" "\0"
  /*  3385 */ "EventSource" "\0"
  /*  3397 */ "EventTarget" "\0"
  /*  3409 */ "Exception" "\0"
  /*  3419 */ "ExtendableCookieChangeEvent" "\0"
  /*  3447 */ "ExtendableEvent" "\0"
  /*  3463 */ "ExtendableMessageEvent" "\0"
  /*  3486 */ "ExtensionAlarms" "\0"
  /*  3502 */ "ExtensionBrowser" "\0"
  /*  3519 */ "ExtensionBrowserSettings" "\0"
  /*  3544 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3584 */ "ExtensionDns" "\0"
  /*  3597 */ "ExtensionEventManager" "\0"
  /*  3619 */ "ExtensionMockAPI" "\0"
  /*  3636 */ "ExtensionPort" "\0"
  /*  3650 */ "ExtensionProxy" "\0"
  /*  3665 */ "ExtensionRuntime" "\0"
  /*  3682 */ "ExtensionScripting" "\0"
  /*  3701 */ "ExtensionSetting" "\0"
  /*  3718 */ "ExtensionTest" "\0"
  /*  3732 */ "External" "\0"
  /*  3741 */ "FeaturePolicy" "\0"
  /*  3755 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3788 */ "FetchEvent" "\0"
  /*  3799 */ "FetchObserver" "\0"
  /*  3813 */ "File" "\0"
  /*  3818 */ "FileList" "\0"
  /*  3827 */ "FileReader" "\0"
  /*  3838 */ "FileReaderSync" "\0"
  /*  3853 */ "FileSystem" "\0"
  /*  3864 */ "FileSystemDirectoryEntry" "\0"
  /*  3889 */ "FileSystemDirectoryHandle" "\0"
  /*  3915 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3955 */ "FileSystemDirectoryIterator" "\0"
  /*  3983 */ "FileSystemDirectoryReader" "\0"
  /*  4009 */ "FileSystemEntry" "\0"
  /*  4025 */ "FileSystemFileEntry" "\0"
  /*  4045 */ "FileSystemFileHandle" "\0"
  /*  4066 */ "FileSystemHandle" "\0"
  /*  4083 */ "FileSystemSyncAccessHandle" "\0"
  /*  4110 */ "FileSystemWritableFileStream" "\0"
  /*  4139 */ "Flex" "\0"
  /*  4144 */ "FlexItemValues" "\0"
  /*  4159 */ "FlexLineValues" "\0"
  /*  4174 */ "FluentBundle" "\0"
  /*  4187 */ "FluentBundleAsyncIterator" "\0"
  /*  4213 */ "FluentBundleIterator" "\0"
  /*  4234 */ "FluentPattern" "\0"
  /*  4248 */ "FluentResource" "\0"
  /*  4263 */ "FocusEvent" "\0"
  /*  4274 */ "FontFace" "\0"
  /*  4283 */ "FontFaceSet" "\0"
  /*  4295 */ "FontFaceSetIterator" "\0"
  /*  4315 */ "FontFaceSetLoadEvent" "\0"
  /*  4336 */ "FormData" "\0"
  /*  4345 */ "FormData Iterator" "\0"
  /*  4363 */ "FormDataEvent" "\0"
  /*  4377 */ "FragmentDirective" "\0"
  /*  4395 */ "FrameCrashedEvent" "\0"
  /*  4413 */ "FrameLoader" "\0"
  /*  4425 */ "GPU" "\0"
  /*  4429 */ "GPUAdapter" "\0"
  /*  4440 */ "GPUAdapterInfo" "\0"
  /*  4455 */ "GPUBindGroup" "\0"
  /*  4468 */ "GPUBindGroupLayout" "\0"
  /*  4487 */ "GPUBuffer" "\0"
  /*  4497 */ "GPUBufferUsage" "\0"
  /*  4512 */ "GPUCanvasContext" "\0"
  /*  4529 */ "GPUColorWrite" "\0"
  /*  4543 */ "GPUCommandBuffer" "\0"
  /*  4560 */ "GPUCommandEncoder" "\0"
  /*  4578 */ "GPUCompilationInfo" "\0"
  /*  4597 */ "GPUCompilationMessage" "\0"
  /*  4619 */ "GPUComputePassEncoder" "\0"
  /*  4641 */ "GPUComputePipeline" "\0"
  /*  4660 */ "GPUDevice" "\0"
  /*  4670 */ "GPUDeviceLostInfo" "\0"
  /*  4688 */ "GPUError" "\0"
  /*  4697 */ "GPUExternalTexture" "\0"
  /*  4716 */ "GPUInternalError" "\0"
  /*  4733 */ "GPUMapMode" "\0"
  /*  4744 */ "GPUOutOfMemoryError" "\0"
  /*  4764 */ "GPUPipelineError" "\0"
  /*  4781 */ "GPUPipelineLayout" "\0"
  /*  4799 */ "GPUQuerySet" "\0"
  /*  4811 */ "GPUQueue" "\0"
  /*  4820 */ "GPURenderBundle" "\0"
  /*  4836 */ "GPURenderBundleEncoder" "\0"
  /*  4859 */ "GPURenderPassEncoder" "\0"
  /*  4880 */ "GPURenderPipeline" "\0"
  /*  4898 */ "GPUSampler" "\0"
  /*  4909 */ "GPUShaderModule" "\0"
  /*  4925 */ "GPUShaderStage" "\0"
  /*  4940 */ "GPUSupportedFeatures" "\0"
  /*  4961 */ "GPUSupportedLimits" "\0"
  /*  4980 */ "GPUTexture" "\0"
  /*  4991 */ "GPUTextureUsage" "\0"
  /*  5007 */ "GPUTextureView" "\0"
  /*  5022 */ "GPUUncapturedErrorEvent" "\0"
  /*  5046 */ "GPUValidationError" "\0"
  /*  5065 */ "GainNode" "\0"
  /*  5074 */ "Gamepad" "\0"
  /*  5082 */ "GamepadAxisMoveEvent" "\0"
  /*  5103 */ "GamepadButton" "\0"
  /*  5117 */ "GamepadButtonEvent" "\0"
  /*  5136 */ "GamepadEvent" "\0"
  /*  5149 */ "GamepadHapticActuator" "\0"
  /*  5171 */ "GamepadLightIndicator" "\0"
  /*  5193 */ "GamepadPose" "\0"
  /*  5205 */ "GamepadServiceTest" "\0"
  /*  5224 */ "GamepadTouch" "\0"
  /*  5237 */ "Geolocation" "\0"
  /*  5249 */ "GeolocationCoordinates" "\0"
  /*  5272 */ "GeolocationPosition" "\0"
  /*  5292 */ "GeolocationPositionError" "\0"
  /*  5317 */ "GetUserMediaRequest" "\0"
  /*  5337 */ "GleanBoolean" "\0"
  /*  5350 */ "GleanCategory" "\0"
  /*  5364 */ "GleanCounter" "\0"
  /*  5377 */ "GleanCustomDistribution" "\0"
  /*  5401 */ "GleanDatetime" "\0"
  /*  5415 */ "GleanDenominator" "\0"
  /*  5432 */ "GleanEvent" "\0"
  /*  5443 */ "GleanImpl" "\0"
  /*  5453 */ "GleanLabeled" "\0"
  /*  5466 */ "GleanMemoryDistribution" "\0"
  /*  5490 */ "GleanMetric" "\0"
  /*  5502 */ "GleanNumerator" "\0"
  /*  5517 */ "GleanObject" "\0"
  /*  5529 */ "GleanPingsImpl" "\0"
  /*  5544 */ "GleanQuantity" "\0"
  /*  5558 */ "GleanRate" "\0"
  /*  5568 */ "GleanString" "\0"
  /*  5580 */ "GleanStringList" "\0"
  /*  5596 */ "GleanText" "\0"
  /*  5606 */ "GleanTimespan" "\0"
  /*  5620 */ "GleanTimingDistribution" "\0"
  /*  5644 */ "GleanUrl" "\0"
  /*  5653 */ "GleanUuid" "\0"
  /*  5663 */ "Grid" "\0"
  /*  5668 */ "GridArea" "\0"
  /*  5677 */ "GridDimension" "\0"
  /*  5691 */ "GridLine" "\0"
  /*  5700 */ "GridLines" "\0"
  /*  5710 */ "GridTrack" "\0"
  /*  5720 */ "GridTracks" "\0"
  /*  5731 */ "HTMLAllCollection" "\0"
  /*  5749 */ "HTMLAnchorElement" "\0"
  /*  5767 */ "HTMLAreaElement" "\0"
  /*  5783 */ "HTMLAudioElement" "\0"
  /*  5800 */ "HTMLBRElement" "\0"
  /*  5814 */ "HTMLBaseElement" "\0"
  /*  5830 */ "HTMLBodyElement" "\0"
  /*  5846 */ "HTMLButtonElement" "\0"
  /*  5864 */ "HTMLCanvasElement" "\0"
  /*  5882 */ "HTMLCollection" "\0"
  /*  5897 */ "HTMLDListElement" "\0"
  /*  5914 */ "HTMLDataElement" "\0"
  /*  5930 */ "HTMLDataListElement" "\0"
  /*  5950 */ "HTMLDetailsElement" "\0"
  /*  5969 */ "HTMLDialogElement" "\0"
  /*  5987 */ "HTMLDirectoryElement" "\0"
  /*  6008 */ "HTMLDivElement" "\0"
  /*  6023 */ "HTMLDocument" "\0"
  /*  6036 */ "HTMLElement" "\0"
  /*  6048 */ "HTMLEmbedElement" "\0"
  /*  6065 */ "HTMLFieldSetElement" "\0"
  /*  6085 */ "HTMLFontElement" "\0"
  /*  6101 */ "HTMLFormControlsCollection" "\0"
  /*  6128 */ "HTMLFormElement" "\0"
  /*  6144 */ "HTMLFrameElement" "\0"
  /*  6161 */ "HTMLFrameSetElement" "\0"
  /*  6181 */ "HTMLHRElement" "\0"
  /*  6195 */ "HTMLHeadElement" "\0"
  /*  6211 */ "HTMLHeadingElement" "\0"
  /*  6230 */ "HTMLHtmlElement" "\0"
  /*  6246 */ "HTMLIFrameElement" "\0"
  /*  6264 */ "HTMLImageElement" "\0"
  /*  6281 */ "HTMLInputElement" "\0"
  /*  6298 */ "HTMLLIElement" "\0"
  /*  6312 */ "HTMLLabelElement" "\0"
  /*  6329 */ "HTMLLegendElement" "\0"
  /*  6347 */ "HTMLLinkElement" "\0"
  /*  6363 */ "HTMLMapElement" "\0"
  /*  6378 */ "HTMLMarqueeElement" "\0"
  /*  6397 */ "HTMLMediaElement" "\0"
  /*  6414 */ "HTMLMenuElement" "\0"
  /*  6430 */ "HTMLMetaElement" "\0"
  /*  6446 */ "HTMLMeterElement" "\0"
  /*  6463 */ "HTMLModElement" "\0"
  /*  6478 */ "HTMLOListElement" "\0"
  /*  6495 */ "HTMLObjectElement" "\0"
  /*  6513 */ "HTMLOptGroupElement" "\0"
  /*  6533 */ "HTMLOptionElement" "\0"
  /*  6551 */ "HTMLOptionsCollection" "\0"
  /*  6573 */ "HTMLOutputElement" "\0"
  /*  6591 */ "HTMLParagraphElement" "\0"
  /*  6612 */ "HTMLParamElement" "\0"
  /*  6629 */ "HTMLPictureElement" "\0"
  /*  6648 */ "HTMLPreElement" "\0"
  /*  6663 */ "HTMLProgressElement" "\0"
  /*  6683 */ "HTMLQuoteElement" "\0"
  /*  6700 */ "HTMLScriptElement" "\0"
  /*  6718 */ "HTMLSelectElement" "\0"
  /*  6736 */ "HTMLSlotElement" "\0"
  /*  6752 */ "HTMLSourceElement" "\0"
  /*  6770 */ "HTMLSpanElement" "\0"
  /*  6786 */ "HTMLStyleElement" "\0"
  /*  6803 */ "HTMLTableCaptionElement" "\0"
  /*  6827 */ "HTMLTableCellElement" "\0"
  /*  6848 */ "HTMLTableColElement" "\0"
  /*  6868 */ "HTMLTableElement" "\0"
  /*  6885 */ "HTMLTableRowElement" "\0"
  /*  6905 */ "HTMLTableSectionElement" "\0"
  /*  6929 */ "HTMLTemplateElement" "\0"
  /*  6949 */ "HTMLTextAreaElement" "\0"
  /*  6969 */ "HTMLTimeElement" "\0"
  /*  6985 */ "HTMLTitleElement" "\0"
  /*  7002 */ "HTMLTrackElement" "\0"
  /*  7019 */ "HTMLUListElement" "\0"
  /*  7036 */ "HTMLUnknownElement" "\0"
  /*  7055 */ "HTMLVideoElement" "\0"
  /*  7072 */ "HashChangeEvent" "\0"
  /*  7088 */ "Headers" "\0"
  /*  7096 */ "Headers Iterator" "\0"
  /*  7113 */ "HeapSnapshot" "\0"
  /*  7126 */ "Highlight" "\0"
  /*  7136 */ "HighlightRegistry" "\0"
  /*  7154 */ "History" "\0"
  /*  7162 */ "IDBCursor" "\0"
  /*  7172 */ "IDBCursorWithValue" "\0"
  /*  7191 */ "IDBDatabase" "\0"
  /*  7203 */ "IDBFactory" "\0"
  /*  7214 */ "IDBIndex" "\0"
  /*  7223 */ "IDBKeyRange" "\0"
  /*  7235 */ "IDBObjectStore" "\0"
  /*  7250 */ "IDBOpenDBRequest" "\0"
  /*  7267 */ "IDBRequest" "\0"
  /*  7278 */ "IDBTransaction" "\0"
  /*  7293 */ "IDBVersionChangeEvent" "\0"
  /*  7315 */ "IIRFilterNode" "\0"
  /*  7329 */ "IOUtils" "\0"
  /*  7337 */ "IdentityCredential" "\0"
  /*  7356 */ "IdleDeadline" "\0"
  /*  7369 */ "Image" "\0"
  /*  7375 */ "ImageBitmap" "\0"
  /*  7387 */ "ImageBitmapRenderingContext" "\0"
  /*  7415 */ "ImageCapture" "\0"
  /*  7428 */ "ImageCaptureError" "\0"
  /*  7446 */ "ImageCaptureErrorEvent" "\0"
  /*  7469 */ "ImageData" "\0"
  /*  7479 */ "ImageDecoder" "\0"
  /*  7492 */ "ImageDocument" "\0"
  /*  7506 */ "ImageTrack" "\0"
  /*  7517 */ "ImageTrackList" "\0"
  /*  7532 */ "InputEvent" "\0"
  /*  7543 */ "InspectorCSSParser" "\0"
  /*  7562 */ "InspectorFontFace" "\0"
  /*  7580 */ "InspectorUtils" "\0"
  /*  7595 */ "InstallTriggerImpl" "\0"
  /*  7614 */ "IntersectionObserver" "\0"
  /*  7635 */ "IntersectionObserverEntry" "\0"
  /*  7661 */ "IntlUtils" "\0"
  /*  7671 */ "InvokeEvent" "\0"
  /*  7683 */ "JSProcessActorChild" "\0"
  /*  7703 */ "JSProcessActorParent" "\0"
  /*  7724 */ "JSWindowActorChild" "\0"
  /*  7743 */ "JSWindowActorParent" "\0"
  /*  7763 */ "KeyEvent" "\0"
  /*  7772 */ "KeyboardEvent" "\0"
  /*  7786 */ "KeyframeEffect" "\0"
  /*  7801 */ "L10nFileSource" "\0"
  /*  7816 */ "L10nOverlays" "\0"
  /*  7829 */ "L10nRegistry" "\0"
  /*  7842 */ "LargestContentfulPaint" "\0"
  /*  7865 */ "LegacyMozTCPSocket" "\0"
  /*  7884 */ "Localization" "\0"
  /*  7897 */ "Location" "\0"
  /*  7906 */ "Lock" "\0"
  /*  7911 */ "LockManager" "\0"
  /*  7923 */ "MIDIAccess" "\0"
  /*  7934 */ "MIDIConnectionEvent" "\0"
  /*  7954 */ "MIDIInput" "\0"
  /*  7964 */ "MIDIInputMap" "\0"
  /*  7977 */ "MIDIMessageEvent" "\0"
  /*  7994 */ "MIDIOutput" "\0"
  /*  8005 */ "MIDIOutputMap" "\0"
  /*  8019 */ "MIDIPort" "\0"
  /*  8028 */ "MLS" "\0"
  /*  8032 */ "MLSGroupView" "\0"
  /*  8045 */ "MOZ_debug" "\0"
  /*  8055 */ "MatchGlob" "\0"
  /*  8065 */ "MatchPattern" "\0"
  /*  8078 */ "MatchPatternSet" "\0"
  /*  8094 */ "MathMLElement" "\0"
  /*  8108 */ "MediaCapabilities" "\0"
  /*  8126 */ "MediaControlService" "\0"
  /*  8146 */ "MediaController" "\0"
  /*  8162 */ "MediaDeviceInfo" "\0"
  /*  8178 */ "MediaDevices" "\0"
  /*  8191 */ "MediaElementAudioSourceNode" "\0"
  /*  8219 */ "MediaEncryptedEvent" "\0"
  /*  8239 */ "MediaError" "\0"
  /*  8250 */ "MediaKeyError" "\0"
  /*  8264 */ "MediaKeyMessageEvent" "\0"
  /*  8285 */ "MediaKeySession" "\0"
  /*  8301 */ "MediaKeyStatusMap" "\0"
  /*  8319 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8346 */ "MediaKeySystemAccess" "\0"
  /*  8367 */ "MediaKeys" "\0"
  /*  8377 */ "MediaList" "\0"
  /*  8387 */ "MediaMetadata" "\0"
  /*  8401 */ "MediaQueryList" "\0"
  /*  8416 */ "MediaQueryListEvent" "\0"
  /*  8436 */ "MediaRecorder" "\0"
  /*  8450 */ "MediaRecorderErrorEvent" "\0"
  /*  8474 */ "MediaSession" "\0"
  /*  8487 */ "MediaSource" "\0"
  /*  8499 */ "MediaStream" "\0"
  /*  8511 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8543 */ "MediaStreamAudioSourceNode" "\0"
  /*  8570 */ "MediaStreamError" "\0"
  /*  8587 */ "MediaStreamEvent" "\0"
  /*  8604 */ "MediaStreamTrack" "\0"
  /*  8621 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8653 */ "MediaStreamTrackEvent" "\0"
  /*  8675 */ "MerchantValidationEvent" "\0"
  /*  8699 */ "MessageBroadcaster" "\0"
  /*  8718 */ "MessageChannel" "\0"
  /*  8733 */ "MessageEvent" "\0"
  /*  8746 */ "MessageListenerManager" "\0"
  /*  8769 */ "MessagePort" "\0"
  /*  8781 */ "MessageSender" "\0"
  /*  8795 */ "MimeType" "\0"
  /*  8804 */ "MimeTypeArray" "\0"
  /*  8818 */ "MouseEvent" "\0"
  /*  8829 */ "MouseScrollEvent" "\0"
  /*  8846 */ "MozCanvasPrintState" "\0"
  /*  8866 */ "MozDocumentMatcher" "\0"
  /*  8885 */ "MozDocumentObserver" "\0"
  /*  8905 */ "MozQueryInterface" "\0"
  /*  8923 */ "MozSharedMap" "\0"
  /*  8936 */ "MozSharedMap Iterator" "\0"
  /*  8958 */ "MozSharedMapChangeEvent" "\0"
  /*  8982 */ "MozStorageAsyncStatementParams" "\0"
  /*  9013 */ "MozStorageStatementParams" "\0"
  /*  9039 */ "MozStorageStatementRow" "\0"
  /*  9062 */ "MozWritableSharedMap" "\0"
  /*  9083 */ "MutationEvent" "\0"
  /*  9097 */ "MutationObserver" "\0"
  /*  9114 */ "MutationRecord" "\0"
  /*  9129 */ "NamedNodeMap" "\0"
  /*  9142 */ "NavigateEvent" "\0"
  /*  9156 */ "Navigation" "\0"
  /*  9167 */ "NavigationActivation" "\0"
  /*  9188 */ "NavigationCurrentEntryChangeEvent" "\0"
  /*  9222 */ "NavigationDestination" "\0"
  /*  9244 */ "NavigationHistoryEntry" "\0"
  /*  9267 */ "NavigationPreloadManager" "\0"
  /*  9292 */ "NavigationTransition" "\0"
  /*  9313 */ "Navigator" "\0"
  /*  9323 */ "NavigatorLogin" "\0"
  /*  9338 */ "NetworkInformation" "\0"
  /*  9357 */ "Node" "\0"
  /*  9362 */ "NodeFilter" "\0"
  /*  9373 */ "NodeIterator" "\0"
  /*  9386 */ "NodeList" "\0"
  /*  9395 */ "Notification" "\0"
  /*  9408 */ "NotificationEvent" "\0"
  /*  9426 */ "NotifyPaintEvent" "\0"
  /*  9443 */ "OES_draw_buffers_indexed" "\0"
  /*  9468 */ "OES_element_index_uint" "\0"
  /*  9491 */ "OES_fbo_render_mipmap" "\0"
  /*  9513 */ "OES_standard_derivatives" "\0"
  /*  9538 */ "OES_texture_float" "\0"
  /*  9556 */ "OES_texture_float_linear" "\0"
  /*  9581 */ "OES_texture_half_float" "\0"
  /*  9604 */ "OES_texture_half_float_linear" "\0"
  /*  9634 */ "OES_vertex_array_object" "\0"
  /*  9658 */ "OVR_multiview2" "\0"
  /*  9673 */ "OfflineAudioCompletionEvent" "\0"
  /*  9701 */ "OfflineAudioContext" "\0"
  /*  9721 */ "OffscreenCanvas" "\0"
  /*  9737 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9771 */ "OnlyForUseInConstructor" "\0"
  /*  9795 */ "Option" "\0"
  /*  9802 */ "OscillatorNode" "\0"
  /*  9817 */ "PageTransitionEvent" "\0"
  /*  9837 */ "PaintRequest" "\0"
  /*  9850 */ "PaintRequestList" "\0"
  /*  9867 */ "PaintWorkletGlobalScope" "\0"
  /*  9891 */ "PannerNode" "\0"
  /*  9902 */ "ParentProcessMessageManager" "\0"
  /*  9930 */ "Path2D" "\0"
  /*  9937 */ "PathUtils" "\0"
  /*  9947 */ "PaymentAddress" "\0"
  /*  9962 */ "PaymentMethodChangeEvent" "\0"
  /*  9987 */ "PaymentRequest" "\0"
  /* 10002 */ "PaymentRequestUpdateEvent" "\0"
  /* 10028 */ "PaymentResponse" "\0"
  /* 10044 */ "PeerConnectionImpl" "\0"
  /* 10063 */ "PeerConnectionObserver" "\0"
  /* 10086 */ "Performance" "\0"
  /* 10098 */ "PerformanceEntry" "\0"
  /* 10115 */ "PerformanceEntryEvent" "\0"
  /* 10137 */ "PerformanceEventTiming" "\0"
  /* 10160 */ "PerformanceMark" "\0"
  /* 10176 */ "PerformanceMeasure" "\0"
  /* 10195 */ "PerformanceNavigation" "\0"
  /* 10217 */ "PerformanceNavigationTiming" "\0"
  /* 10245 */ "PerformanceObserver" "\0"
  /* 10265 */ "PerformanceObserverEntryList" "\0"
  /* 10294 */ "PerformancePaintTiming" "\0"
  /* 10317 */ "PerformanceResourceTiming" "\0"
  /* 10343 */ "PerformanceServerTiming" "\0"
  /* 10367 */ "PerformanceTiming" "\0"
  /* 10385 */ "PeriodicWave" "\0"
  /* 10398 */ "PermissionStatus" "\0"
  /* 10415 */ "Permissions" "\0"
  /* 10427 */ "PlacesBookmark" "\0"
  /* 10442 */ "PlacesBookmarkAddition" "\0"
  /* 10465 */ "PlacesBookmarkChanged" "\0"
  /* 10487 */ "PlacesBookmarkGuid" "\0"
  /* 10506 */ "PlacesBookmarkKeyword" "\0"
  /* 10528 */ "PlacesBookmarkMoved" "\0"
  /* 10548 */ "PlacesBookmarkRemoved" "\0"
  /* 10570 */ "PlacesBookmarkTags" "\0"
  /* 10589 */ "PlacesBookmarkTime" "\0"
  /* 10608 */ "PlacesBookmarkTitle" "\0"
  /* 10628 */ "PlacesBookmarkUrl" "\0"
  /* 10646 */ "PlacesEvent" "\0"
  /* 10658 */ "PlacesEventCounts" "\0"
  /* 10676 */ "PlacesFavicon" "\0"
  /* 10690 */ "PlacesHistoryCleared" "\0"
  /* 10711 */ "PlacesObservers" "\0"
  /* 10727 */ "PlacesPurgeCaches" "\0"
  /* 10745 */ "PlacesRanking" "\0"
  /* 10759 */ "PlacesVisit" "\0"
  /* 10771 */ "PlacesVisitRemoved" "\0"
  /* 10790 */ "PlacesVisitTitle" "\0"
  /* 10807 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10833 */ "Plugin" "\0"
  /* 10840 */ "PluginArray" "\0"
  /* 10852 */ "PluginCrashedEvent" "\0"
  /* 10871 */ "PointerEvent" "\0"
  /* 10884 */ "PopStateEvent" "\0"
  /* 10898 */ "PopupBlockedEvent" "\0"
  /* 10916 */ "PopupPositionedEvent" "\0"
  /* 10937 */ "PositionStateEvent" "\0"
  /* 10956 */ "PrecompiledScript" "\0"
  /* 10974 */ "PrivateAttribution" "\0"
  /* 10993 */ "ProcessMessageManager" "\0"
  /* 11015 */ "ProcessingInstruction" "\0"
  /* 11037 */ "ProgressEvent" "\0"
  /* 11051 */ "PromiseDebugging" "\0"
  /* 11068 */ "PromiseNativeHandler" "\0"
  /* 11089 */ "PromiseRejectionEvent" "\0"
  /* 11111 */ "PublicKeyCredential" "\0"
  /* 11131 */ "PushEvent" "\0"
  /* 11141 */ "PushManager" "\0"
  /* 11153 */ "PushManagerImpl" "\0"
  /* 11169 */ "PushMessageData" "\0"
  /* 11185 */ "PushSubscription" "\0"
  /* 11202 */ "PushSubscriptionChangeEvent" "\0"
  /* 11230 */ "PushSubscriptionOptions" "\0"
  /* 11254 */ "RTCCertificate" "\0"
  /* 11269 */ "RTCDTMFSender" "\0"
  /* 11283 */ "RTCDTMFToneChangeEvent" "\0"
  /* 11306 */ "RTCDataChannel" "\0"
  /* 11321 */ "RTCDataChannelEvent" "\0"
  /* 11341 */ "RTCDtlsTransport" "\0"
  /* 11358 */ "RTCEncodedAudioFrame" "\0"
  /* 11379 */ "RTCEncodedVideoFrame" "\0"
  /* 11400 */ "RTCIceCandidate" "\0"
  /* 11416 */ "RTCIceTransport" "\0"
  /* 11432 */ "RTCIdentityProviderRegistrar" "\0"
  /* 11461 */ "RTCPeerConnection" "\0"
  /* 11479 */ "RTCPeerConnectionIceEvent" "\0"
  /* 11505 */ "RTCPeerConnectionStatic" "\0"
  /* 11529 */ "RTCRtpReceiver" "\0"
  /* 11544 */ "RTCRtpScriptTransform" "\0"
  /* 11566 */ "RTCRtpScriptTransformer" "\0"
  /* 11590 */ "RTCRtpSender" "\0"
  /* 11603 */ "RTCRtpTransceiver" "\0"
  /* 11621 */ "RTCSctpTransport" "\0"
  /* 11638 */ "RTCSessionDescription" "\0"
  /* 11660 */ "RTCStatsReport" "\0"
  /* 11675 */ "RTCTrackEvent" "\0"
  /* 11689 */ "RTCTransformEvent" "\0"
  /* 11707 */ "RadioNodeList" "\0"
  /* 11721 */ "Range" "\0"
  /* 11727 */ "ReadableByteStreamController" "\0"
  /* 11756 */ "ReadableStream" "\0"
  /* 11771 */ "ReadableStream AsyncIterator" "\0"
  /* 11800 */ "ReadableStreamBYOBReader" "\0"
  /* 11825 */ "ReadableStreamBYOBRequest" "\0"
  /* 11851 */ "ReadableStreamDefaultController" "\0"
  /* 11883 */ "ReadableStreamDefaultReader" "\0"
  /* 11911 */ "Report" "\0"
  /* 11918 */ "ReportBody" "\0"
  /* 11929 */ "ReportingObserver" "\0"
  /* 11947 */ "Request" "\0"
  /* 11955 */ "ResizeObserver" "\0"
  /* 11970 */ "ResizeObserverEntry" "\0"
  /* 11990 */ "ResizeObserverSize" "\0"
  /* 12009 */ "Response" "\0"
  /* 12018 */ "SVGAElement" "\0"
  /* 12030 */ "SVGAngle" "\0"
  /* 12039 */ "SVGAnimateElement" "\0"
  /* 12057 */ "SVGAnimateMotionElement" "\0"
  /* 12081 */ "SVGAnimateTransformElement" "\0"
  /* 12108 */ "SVGAnimatedAngle" "\0"
  /* 12125 */ "SVGAnimatedBoolean" "\0"
  /* 12144 */ "SVGAnimatedEnumeration" "\0"
  /* 12167 */ "SVGAnimatedInteger" "\0"
  /* 12186 */ "SVGAnimatedLength" "\0"
  /* 12204 */ "SVGAnimatedLengthList" "\0"
  /* 12226 */ "SVGAnimatedNumber" "\0"
  /* 12244 */ "SVGAnimatedNumberList" "\0"
  /* 12266 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 12297 */ "SVGAnimatedRect" "\0"
  /* 12313 */ "SVGAnimatedString" "\0"
  /* 12331 */ "SVGAnimatedTransformList" "\0"
  /* 12356 */ "SVGAnimationElement" "\0"
  /* 12376 */ "SVGCircleElement" "\0"
  /* 12393 */ "SVGClipPathElement" "\0"
  /* 12412 */ "SVGComponentTransferFunctionElement" "\0"
  /* 12448 */ "SVGDefsElement" "\0"
  /* 12463 */ "SVGDescElement" "\0"
  /* 12478 */ "SVGElement" "\0"
  /* 12489 */ "SVGEllipseElement" "\0"
  /* 12507 */ "SVGFEBlendElement" "\0"
  /* 12525 */ "SVGFEColorMatrixElement" "\0"
  /* 12549 */ "SVGFEComponentTransferElement" "\0"
  /* 12579 */ "SVGFECompositeElement" "\0"
  /* 12601 */ "SVGFEConvolveMatrixElement" "\0"
  /* 12628 */ "SVGFEDiffuseLightingElement" "\0"
  /* 12656 */ "SVGFEDisplacementMapElement" "\0"
  /* 12684 */ "SVGFEDistantLightElement" "\0"
  /* 12709 */ "SVGFEDropShadowElement" "\0"
  /* 12732 */ "SVGFEFloodElement" "\0"
  /* 12750 */ "SVGFEFuncAElement" "\0"
  /* 12768 */ "SVGFEFuncBElement" "\0"
  /* 12786 */ "SVGFEFuncGElement" "\0"
  /* 12804 */ "SVGFEFuncRElement" "\0"
  /* 12822 */ "SVGFEGaussianBlurElement" "\0"
  /* 12847 */ "SVGFEImageElement" "\0"
  /* 12865 */ "SVGFEMergeElement" "\0"
  /* 12883 */ "SVGFEMergeNodeElement" "\0"
  /* 12905 */ "SVGFEMorphologyElement" "\0"
  /* 12928 */ "SVGFEOffsetElement" "\0"
  /* 12947 */ "SVGFEPointLightElement" "\0"
  /* 12970 */ "SVGFESpecularLightingElement" "\0"
  /* 12999 */ "SVGFESpotLightElement" "\0"
  /* 13021 */ "SVGFETileElement" "\0"
  /* 13038 */ "SVGFETurbulenceElement" "\0"
  /* 13061 */ "SVGFilterElement" "\0"
  /* 13078 */ "SVGForeignObjectElement" "\0"
  /* 13102 */ "SVGGElement" "\0"
  /* 13114 */ "SVGGeometryElement" "\0"
  /* 13133 */ "SVGGradientElement" "\0"
  /* 13152 */ "SVGGraphicsElement" "\0"
  /* 13171 */ "SVGImageElement" "\0"
  /* 13187 */ "SVGLength" "\0"
  /* 13197 */ "SVGLengthList" "\0"
  /* 13211 */ "SVGLineElement" "\0"
  /* 13226 */ "SVGLinearGradientElement" "\0"
  /* 13251 */ "SVGMPathElement" "\0"
  /* 13267 */ "SVGMarkerElement" "\0"
  /* 13284 */ "SVGMaskElement" "\0"
  /* 13299 */ "SVGMatrix" "\0"
  /* 13309 */ "SVGMetadataElement" "\0"
  /* 13328 */ "SVGNumber" "\0"
  /* 13338 */ "SVGNumberList" "\0"
  /* 13352 */ "SVGPathElement" "\0"
  /* 13367 */ "SVGPathSegment" "\0"
  /* 13382 */ "SVGPatternElement" "\0"
  /* 13400 */ "SVGPoint" "\0"
  /* 13409 */ "SVGPointList" "\0"
  /* 13422 */ "SVGPolygonElement" "\0"
  /* 13440 */ "SVGPolylineElement" "\0"
  /* 13459 */ "SVGPreserveAspectRatio" "\0"
  /* 13482 */ "SVGRadialGradientElement" "\0"
  /* 13507 */ "SVGRect" "\0"
  /* 13515 */ "SVGRectElement" "\0"
  /* 13530 */ "SVGSVGElement" "\0"
  /* 13544 */ "SVGScriptElement" "\0"
  /* 13561 */ "SVGSetElement" "\0"
  /* 13575 */ "SVGStopElement" "\0"
  /* 13590 */ "SVGStringList" "\0"
  /* 13604 */ "SVGStyleElement" "\0"
  /* 13620 */ "SVGSwitchElement" "\0"
  /* 13637 */ "SVGSymbolElement" "\0"
  /* 13654 */ "SVGTSpanElement" "\0"
  /* 13670 */ "SVGTextContentElement" "\0"
  /* 13692 */ "SVGTextElement" "\0"
  /* 13707 */ "SVGTextPathElement" "\0"
  /* 13726 */ "SVGTextPositioningElement" "\0"
  /* 13752 */ "SVGTitleElement" "\0"
  /* 13768 */ "SVGTransform" "\0"
  /* 13781 */ "SVGTransformList" "\0"
  /* 13798 */ "SVGUnitTypes" "\0"
  /* 13811 */ "SVGUseElement" "\0"
  /* 13825 */ "SVGViewElement" "\0"
  /* 13840 */ "Sanitizer" "\0"
  /* 13850 */ "Scheduler" "\0"
  /* 13860 */ "Screen" "\0"
  /* 13867 */ "ScreenLuminance" "\0"
  /* 13883 */ "ScreenOrientation" "\0"
  /* 13901 */ "ScriptProcessorNode" "\0"
  /* 13921 */ "ScrollAreaEvent" "\0"
  /* 13937 */ "SecurityPolicyViolationEvent" "\0"
  /* 13966 */ "Selection" "\0"
  /* 13976 */ "ServiceWorker" "\0"
  /* 13990 */ "ServiceWorkerContainer" "\0"
  /* 14013 */ "ServiceWorkerGlobalScope" "\0"
  /* 14038 */ "ServiceWorkerRegistration" "\0"
  /* 14064 */ "SessionStoreFormData" "\0"
  /* 14085 */ "SessionStoreScrollData" "\0"
  /* 14108 */ "SessionStoreUtils" "\0"
  /* 14126 */ "ShadowRealmGlobalScope" "\0"
  /* 14149 */ "ShadowRoot" "\0"
  /* 14160 */ "SharedWorker" "\0"
  /* 14173 */ "SharedWorkerGlobalScope" "\0"
  /* 14197 */ "SimpleGestureEvent" "\0"
  /* 14216 */ "SourceBuffer" "\0"
  /* 14229 */ "SourceBufferList" "\0"
  /* 14246 */ "SpeechGrammar" "\0"
  /* 14260 */ "SpeechGrammarList" "\0"
  /* 14278 */ "SpeechRecognition" "\0"
  /* 14296 */ "SpeechRecognitionAlternative" "\0"
  /* 14325 */ "SpeechRecognitionError" "\0"
  /* 14348 */ "SpeechRecognitionEvent" "\0"
  /* 14371 */ "SpeechRecognitionResult" "\0"
  /* 14395 */ "SpeechRecognitionResultList" "\0"
  /* 14423 */ "SpeechSynthesis" "\0"
  /* 14439 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14465 */ "SpeechSynthesisEvent" "\0"
  /* 14486 */ "SpeechSynthesisUtterance" "\0"
  /* 14511 */ "SpeechSynthesisVoice" "\0"
  /* 14532 */ "StaticRange" "\0"
  /* 14544 */ "StereoPannerNode" "\0"
  /* 14561 */ "Storage" "\0"
  /* 14569 */ "StorageEvent" "\0"
  /* 14582 */ "StorageManager" "\0"
  /* 14597 */ "StreamFilter" "\0"
  /* 14610 */ "StreamFilterDataEvent" "\0"
  /* 14632 */ "StructuredCloneHolder" "\0"
  /* 14654 */ "StructuredCloneTester" "\0"
  /* 14676 */ "StyleSheet" "\0"
  /* 14687 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14724 */ "StyleSheetList" "\0"
  /* 14739 */ "StyleSheetRemovedEvent" "\0"
  /* 14762 */ "SubmitEvent" "\0"
  /* 14774 */ "SubtleCrypto" "\0"
  /* 14787 */ "SyncMessageSender" "\0"
  /* 14805 */ "SyncReadFile" "\0"
  /* 14818 */ "TCPServerSocket" "\0"
  /* 14834 */ "TCPServerSocketEvent" "\0"
  /* 14855 */ "TCPSocket" "\0"
  /* 14865 */ "TCPSocketErrorEvent" "\0"
  /* 14885 */ "TCPSocketEvent" "\0"
  /* 14900 */ "TaskController" "\0"
  /* 14915 */ "TaskPriorityChangeEvent" "\0"
  /* 14939 */ "TaskSignal" "\0"
  /* 14950 */ "TestAttributesOnTypes" "\0"
  /* 14972 */ "TestCEReactionsInterface" "\0"
  /* 14997 */ "TestCImplementedInterface" "\0"
  /* 15023 */ "TestCImplementedInterface2" "\0"
  /* 15050 */ "TestCallbackDictUnionOverload" "\0"
  /* 15080 */ "TestChildInterface" "\0"
  /* 15099 */ "TestConstructorForFuncInterface" "\0"
  /* 15131 */ "TestConstructorForPrefInterface" "\0"
  /* 15163 */ "TestConstructorForSCInterface" "\0"
  /* 15193 */ "TestCppKeywordNamedMethodsInterface" "\0"
  /* 15229 */ "TestDeprecatedInterface" "\0"
  /* 15253 */ "TestExampleInterface" "\0"
  /* 15274 */ "TestExampleProxyInterface" "\0"
  /* 15300 */ "TestExampleThrowingConstructorInterface" "\0"
  /* 15340 */ "TestExampleWorkerInterface" "\0"
  /* 15367 */ "TestFuncConstructorForDifferentFuncInterface" "\0"
  /* 15412 */ "TestFuncConstructorForInterface" "\0"
  /* 15444 */ "TestHTMLConstructorInterface" "\0"
  /* 15473 */ "TestIndexedAndNamedGetterAndSetterInterface" "\0"
  /* 15517 */ "TestIndexedAndNamedGetterInterface" "\0"
  /* 15552 */ "TestIndexedAndNamedSetterInterface" "\0"
  /* 15587 */ "TestIndexedGetterAndSetterAndNamedGetterInterface" "\0"
  /* 15637 */ "TestIndexedGetterInterface" "\0"
  /* 15664 */ "TestIndexedSetterInterface" "\0"
  /* 15691 */ "TestInterface" "\0"
  /* 15705 */ "TestInterfaceWithPromiseConstructorArg" "\0"
  /* 15744 */ "TestJSImplInterface" "\0"
  /* 15764 */ "TestJSImplInterface2" "\0"
  /* 15785 */ "TestJSImplInterface3" "\0"
  /* 15806 */ "TestJSImplInterface4" "\0"
  /* 15827 */ "TestJSImplInterface5" "\0"
  /* 15848 */ "TestJSImplInterface6" "\0"
  /* 15869 */ "TestJSImplNoInterfaceObject" "\0"
  /* 15897 */ "TestLegacyFactoryFunctionInterface" "\0"
  /* 15932 */ "TestLegacyFactoryFunctionInterface2" "\0"
  /* 15968 */ "TestNamedDeleterInterface" "\0"
  /* 15994 */ "TestNamedDeleterWithRetvalInterface" "\0"
  /* 16030 */ "TestNamedGetterInterface" "\0"
  /* 16055 */ "TestNamedSetterInterface" "\0"
  /* 16080 */ "TestNamespace" "\0"
  /* 16094 */ "TestNonWrapperCacheInterface" "\0"
  /* 16123 */ "TestParentInterface" "\0"
  /* 16143 */ "TestPrefChromeOnlySCFuncConstructorForInterface" "\0"
  /* 16191 */ "TestPrefConstructorForDifferentPrefInterface" "\0"
  /* 16236 */ "TestPrefConstructorForInterface" "\0"
  /* 16268 */ "TestProtoObjectHackedNamespace" "\0"
  /* 16299 */ "TestRenamedInterface" "\0"
  /* 16320 */ "TestRenamedNamespace" "\0"
  /* 16341 */ "TestSCConstructorForInterface" "\0"
  /* 16371 */ "TestSecureContextInterface" "\0"
  /* 16398 */ "TestThrowingConstructorInterface" "\0"
  /* 16431 */ "TestUtils" "\0"
  /* 16441 */ "TestWorkerExposedInterface" "\0"
  /* 16468 */ "TestingDeprecatedInterface" "\0"
  /* 16495 */ "Text" "\0"
  /* 16500 */ "TextClause" "\0"
  /* 16511 */ "TextDecoder" "\0"
  /* 16523 */ "TextDecoderStream" "\0"
  /* 16541 */ "TextEncoder" "\0"
  /* 16553 */ "TextEncoderStream" "\0"
  /* 16571 */ "TextEvent" "\0"
  /* 16581 */ "TextMetrics" "\0"
  /* 16593 */ "TextTrack" "\0"
  /* 16603 */ "TextTrackCue" "\0"
  /* 16616 */ "TextTrackCueList" "\0"
  /* 16633 */ "TextTrackList" "\0"
  /* 16647 */ "TimeEvent" "\0"
  /* 16657 */ "TimeRanges" "\0"
  /* 16668 */ "ToggleEvent" "\0"
  /* 16680 */ "Touch" "\0"
  /* 16686 */ "TouchEvent" "\0"
  /* 16697 */ "TouchList" "\0"
  /* 16707 */ "TrackEvent" "\0"
  /* 16718 */ "TransformStream" "\0"
  /* 16734 */ "TransformStreamDefaultController" "\0"
  /* 16767 */ "TransitionEvent" "\0"
  /* 16783 */ "TreeColumn" "\0"
  /* 16794 */ "TreeColumns" "\0"
  /* 16806 */ "TreeContentView" "\0"
  /* 16822 */ "TreeWalker" "\0"
  /* 16833 */ "TrustedHTML" "\0"
  /* 16845 */ "TrustedScript" "\0"
  /* 16859 */ "TrustedScriptURL" "\0"
  /* 16876 */ "TrustedTypePolicy" "\0"
  /* 16894 */ "TrustedTypePolicyFactory" "\0"
  /* 16919 */ "UDPMessageEvent" "\0"
  /* 16935 */ "UDPSocket" "\0"
  /* 16945 */ "UIEvent" "\0"
  /* 16953 */ "URL" "\0"
  /* 16957 */ "URLSearchParams" "\0"
  /* 16973 */ "URLSearchParams Iterator" "\0"
  /* 16998 */ "UniFFIPointer" "\0"
  /* 17012 */ "UniFFIScaffolding" "\0"
  /* 17030 */ "UserActivation" "\0"
  /* 17045 */ "UserInteraction" "\0"
  /* 17061 */ "UserProximityEvent" "\0"
  /* 17080 */ "VRDisplay" "\0"
  /* 17090 */ "VRDisplayCapabilities" "\0"
  /* 17112 */ "VRDisplayEvent" "\0"
  /* 17127 */ "VREyeParameters" "\0"
  /* 17143 */ "VRFieldOfView" "\0"
  /* 17157 */ "VRFrameData" "\0"
  /* 17169 */ "VRMockController" "\0"
  /* 17186 */ "VRMockDisplay" "\0"
  /* 17200 */ "VRPose" "\0"
  /* 17207 */ "VRServiceTest" "\0"
  /* 17221 */ "VRStageParameters" "\0"
  /* 17239 */ "VTTCue" "\0"
  /* 17246 */ "VTTRegion" "\0"
  /* 17256 */ "ValidityState" "\0"
  /* 17270 */ "VideoColorSpace" "\0"
  /* 17286 */ "VideoDecoder" "\0"
  /* 17299 */ "VideoEncoder" "\0"
  /* 17312 */ "VideoFrame" "\0"
  /* 17323 */ "VideoPlaybackQuality" "\0"
  /* 17344 */ "VideoTrack" "\0"
  /* 17355 */ "VideoTrackList" "\0"
  /* 17370 */ "ViewTransition" "\0"
  /* 17385 */ "VisualViewport" "\0"
  /* 17400 */ "WEBGL_color_buffer_float" "\0"
  /* 17425 */ "WEBGL_compressed_texture_astc" "\0"
  /* 17455 */ "WEBGL_compressed_texture_etc" "\0"
  /* 17484 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 17514 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 17545 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 17575 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 17610 */ "WEBGL_debug_renderer_info" "\0"
  /* 17636 */ "WEBGL_debug_shaders" "\0"
  /* 17656 */ "WEBGL_depth_texture" "\0"
  /* 17676 */ "WEBGL_draw_buffers" "\0"
  /* 17695 */ "WEBGL_explicit_present" "\0"
  /* 17718 */ "WEBGL_lose_context" "\0"
  /* 17737 */ "WEBGL_provoking_vertex" "\0"
  /* 17760 */ "WGSLLanguageFeatures" "\0"
  /* 17781 */ "WakeLock" "\0"
  /* 17790 */ "WakeLockSentinel" "\0"
  /* 17807 */ "WaveShaperNode" "\0"
  /* 17822 */ "WebExtensionContentScript" "\0"
  /* 17848 */ "WebExtensionPolicy" "\0"
  /* 17867 */ "WebGL2RenderingContext" "\0"
  /* 17890 */ "WebGLActiveInfo" "\0"
  /* 17906 */ "WebGLBuffer" "\0"
  /* 17918 */ "WebGLContextEvent" "\0"
  /* 17936 */ "WebGLFramebuffer" "\0"
  /* 17953 */ "WebGLProgram" "\0"
  /* 17966 */ "WebGLQuery" "\0"
  /* 17977 */ "WebGLRenderbuffer" "\0"
  /* 17995 */ "WebGLRenderingContext" "\0"
  /* 18017 */ "WebGLSampler" "\0"
  /* 18030 */ "WebGLShader" "\0"
  /* 18042 */ "WebGLShaderPrecisionFormat" "\0"
  /* 18069 */ "WebGLSync" "\0"
  /* 18079 */ "WebGLTexture" "\0"
  /* 18092 */ "WebGLTransformFeedback" "\0"
  /* 18115 */ "WebGLUniformLocation" "\0"
  /* 18136 */ "WebGLVertexArrayObject" "\0"
  /* 18159 */ "WebKitCSSMatrix" "\0"
  /* 18175 */ "WebSocket" "\0"
  /* 18185 */ "WebTransport" "\0"
  /* 18198 */ "WebTransportBidirectionalStream" "\0"
  /* 18230 */ "WebTransportDatagramDuplexStream" "\0"
  /* 18263 */ "WebTransportError" "\0"
  /* 18281 */ "WebTransportReceiveStream" "\0"
  /* 18307 */ "WebTransportSendStream" "\0"
  /* 18330 */ "WebrtcGlobalInformation" "\0"
  /* 18354 */ "WheelEvent" "\0"
  /* 18365 */ "Window" "\0"
  /* 18372 */ "WindowClient" "\0"
  /* 18385 */ "WindowContext" "\0"
  /* 18399 */ "WindowGlobalChild" "\0"
  /* 18417 */ "WindowGlobalParent" "\0"
  /* 18436 */ "WindowRoot" "\0"
  /* 18447 */ "Worker" "\0"
  /* 18454 */ "WorkerDebuggerGlobalScope" "\0"
  /* 18480 */ "WorkerGlobalScope" "\0"
  /* 18498 */ "WorkerLocation" "\0"
  /* 18513 */ "WorkerNavigator" "\0"
  /* 18529 */ "WorkerTestUtils" "\0"
  /* 18545 */ "Worklet" "\0"
  /* 18553 */ "WorkletGlobalScope" "\0"
  /* 18572 */ "WritableStream" "\0"
  /* 18587 */ "WritableStreamDefaultController" "\0"
  /* 18619 */ "WritableStreamDefaultWriter" "\0"
  /* 18647 */ "XMLDocument" "\0"
  /* 18659 */ "XMLHttpRequest" "\0"
  /* 18674 */ "XMLHttpRequestEventTarget" "\0"
  /* 18700 */ "XMLHttpRequestUpload" "\0"
  /* 18721 */ "XMLSerializer" "\0"
  /* 18735 */ "XPathEvaluator" "\0"
  /* 18750 */ "XPathExpression" "\0"
  /* 18766 */ "XPathResult" "\0"
  /* 18778 */ "XRBoundedReferenceSpace" "\0"
  /* 18802 */ "XRFrame" "\0"
  /* 18810 */ "XRInputSource" "\0"
  /* 18824 */ "XRInputSourceArray" "\0"
  /* 18843 */ "XRInputSourceEvent" "\0"
  /* 18862 */ "XRInputSourcesChangeEvent" "\0"
  /* 18888 */ "XRPose" "\0"
  /* 18895 */ "XRReferenceSpace" "\0"
  /* 18912 */ "XRReferenceSpaceEvent" "\0"
  /* 18934 */ "XRRenderState" "\0"
  /* 18948 */ "XRRigidTransform" "\0"
  /* 18965 */ "XRSession" "\0"
  /* 18975 */ "XRSessionEvent" "\0"
  /* 18990 */ "XRSpace" "\0"
  /* 18998 */ "XRSystem" "\0"
  /* 19007 */ "XRView" "\0"
  /* 19014 */ "XRViewerPose" "\0"
  /* 19027 */ "XRViewport" "\0"
  /* 19038 */ "XRWebGLLayer" "\0"
  /* 19051 */ "XSLTProcessor" "\0"
  /* 19065 */ "XULCommandEvent" "\0"
  /* 19081 */ "XULElement" "\0"
  /* 19092 */ "XULFrameElement" "\0"
  /* 19108 */ "XULMenuElement" "\0"
  /* 19123 */ "XULPopupElement" "\0"
  /* 19139 */ "XULResizerElement" "\0"
  /* 19157 */ "XULTextElement" "\0"
  /* 19172 */ "XULTreeElement" "\0"
  /* 19187 */ "console" "\0"
  /* 19195 */ "webkitSpeechGrammar" "\0"
  /* 19215 */ "webkitSpeechGrammarList" "\0"
  /* 19239 */ "webkitSpeechRecognition" "\0"
  /* 19263 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

